FEED2TOOT(1)

NAME
feed2toot - Take rss feed and send it to Mastodon

USAGE
usage: feed2toot [-h] [--version] [-c FILE [FILE ...]] [-a] [--ignore-ssl]

    [-l LIMIT] [-t LOCKTIMEOUT] [--cachefile CACHEFILE] [--lockfile LOCKFILE] [-n] [-v] [-d] [--syslog [{CRITICAL,FATAL,ERROR,WARN,WARNING,INFO,DEBUG}]] [--hashtaglist HASHTAGLIST] [-p] [-r http://...] [--rss-sections]

Take rss feed and send it to Mastodon

  optional arguments:

-h, --help
    show this help message and exit

--version
    show program's version number and exit

-c FILE [FILE ...], --config FILE [FILE ...]
    Location of config file (default: ['~/.config/feed2toot.ini'])

-a, --all
    tweet all RSS items, regardless of cache

--ignore-ssl
    ignore ssl errors while fetching rss feeds

-l LIMIT, --limit LIMIT
    tweet only LIMIT items (default: 10)

-t LOCKTIMEOUT, --lock-timeout LOCKTIMEOUT
    lock timeout in seconds after which feed2toot can removes the lock itself

--cachefile CACHEFILE
    location of the cache file (default: None)

--lockfile LOCKFILE
    location of the lock file (default: ~/.config/feed2toot.lock)

-n, --dry-run
    Do not actually post tweets

-v, --verbose, --info
    enable informative (verbose) output, work on log level INFO

-d, --debug
    enable debug output, work on log level DEBUG

--syslog [{CRITICAL,FATAL,ERROR,WARN,WARNING,INFO,DEBUG}]
    log to syslog facility, default: no logging, INFO if --syslog is specified without argument

--hashtaglist HASHTAGLIST
    a list of hashtags to match

-p, --populate-cache
    populate RSS entries in cache without actually posting them to Mastodon

-r http://..., --rss http://...
    the RSS feed URL to fetch items from

--rss-sections
    print the available sections of the rss feed to be used in the tweet template

For more information: https://feed2toot.readthedocs.io